# $Id: avifile.spec 2264 2004-10-10 00:38:55Z dag $
# Authority: dag
# Distcc: 0

%{?rh7:%define _without_freedesktop 1}
%{?el2:%define _without_freedesktop 1}
%{?rh6:%define _without_freedesktop 1}

%define desktop_vendor planetccrma

Summary: Library used to play AVI streams
Name: avifile
Version: 0.7.45
Release: 3%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://avifile.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Planet CCRMA

Source: http://dl.sf.net/avifile/avifile-0.7-%{version}.tar.bz2
#Source: http://dl.sf.net/avifile/avifile-%{version}-%{date}.tgz
Patch0: avifile-0.7.43-gcc4.patch
Patch1: avifile-0.7.45-mp3encoder.patch
Patch2: avifile-0.7.45-template.patch
Patch3: avifile-0.7.45-installhook.patch
Patch4: avifile-0.7.45-gcc44.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc-c++, autoconf, automake, libtool desktop-file-utils
BuildRequires: ffmpeg-devel

BuildRequires: libstdc++-devel
BuildRequires: SDL-devel >= 1.1.3, esound-devel
BuildRequires: libvorbis-devel, libjpeg-devel, libpng-devel
BuildRequires: libmad-devel, a52dec-devel, faad2-devel
BuildRequires: zlib-devel
%if 0%{?fedora} >= 9
BuildRequires: qt3-devel
%else
BuildRequires: qt-devel
%endif
%if 0%{?fedora} >= 12
BuildRequires: libXi-devel
%else
BuildRequires: xorg-x11-proto-devel
%endif

# BuildRequires: lame-devel, divx4linux, xvidcore-devel

Obsoletes: avifile-utils <= 0.7.37
Provides:  avifile-utils

%description
Avifile is a library that allows you to read and write compressed AVI
files in most common video & audio formats (Indeo Video, DivX, etc.)
under x86 Linux. Compression and decompression are performed with Win32
DLLs. It includes a simple AVI player and a Video4Linux capture program

To use this program, you will need to get the Win32 binaries from
%{url} and put uncompress them under /usr/lib/win32.

%package devel
Summary: Header files, libraries and development documentation for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%prep
%setup -q -n %{name}-0.7-%{version}
%if 0%{?fedora} == 4 || 0%{?fedora} == 5
%patch0 -p1
%endif
%patch1 -p1
%patch2 -p1
%if 0%{?fedora} >= 7
%patch3 -p1
%endif
%patch4 -p1

%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Name=AVI Player
Comment=Play your AVI files
Icon=avifile.png
Exec=aviplay
Terminal=false
MimeType=video/x-msvideo
Type=Application
Categories=Application;AudioVideo;
EOF

%build
if [ -e %{_sysconfdir}/profile.d/qt.sh ] ; then
    source "%{_sysconfdir}/profile.d/qt.sh"
fi

# hack to properly generate the ffmpeg files
./autogen.sh
%configure
make maintainer-clean

# and now the real thing
./autogen.sh
%configure \
	--program-prefix="%{?_program_prefix}" \
	--enable-static \
	--enable-quiet \
	--enable-release \
	--enable-win32 \
	--enable-x86opt \
	--disable-mmx \
	--disable-sdltest --with-sdl \
%{?with_lame: --enable-lame-bin}

# fix bad processing of sdl-config output in configure
find . -name Makefile -exec %{__perl} -p -i -e "s|SDL_LIBS = 4 |SDL_LIBS = |g" {} \;

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
#make install DESTDIR="%{buildroot}"
%makeinstall
%{__install} -m0644 -D bin/test.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%if %{?_without_freedesktop:1}0
	%{__install} -D -m0644 avifile.desktop %{buildroot}%{_datadir}/gnome/apps/Multimedia/avifile.desktop
%else
	%{__install} -m0755 -d %{buildroot}%{_datadir}/applications/
	desktop-file-install --vendor %{desktop_vendor}    \
		--dir %{buildroot}%{_datadir}/applications \
		avifile.desktop
%endif

%{__rm} -f doc/Makefile*

### Clean up buildroot
%{__rm} -f %{buildroot}%{_libdir}{,/avifile0.7,/avifile0.7/vidix}/*.la

%post
/sbin/ldconfig 2>/dev/null

%postun
/sbin/ldconfig 2>/dev/null

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING README doc/CREDITS doc/EXCEPTIONS doc/KNOWN_BUGS doc/README-DEVEL doc/TODO doc/VIDEO-PERFORMANCE doc/WARNINGS
%dir %{_libdir}/avifile*/
%{_bindir}/avibench
%{_bindir}/avicap
%{_bindir}/avicat
%{_bindir}/avimake
%{_bindir}/aviplay
%{_bindir}/avirec
%{_bindir}/avirecompress
%{_bindir}/avitype
%attr(4755, root, root) %{_bindir}/kv4lsetup
%{_libdir}/*.so.*
%{_libdir}/avifile*/*.so
%ifnarch x86_64
%{_libdir}/avifile*/vidix/*.so
%endif
%{_datadir}/avifile*/
%{_datadir}/pixmaps/*
%{!?_without_freedesktop:%{_datadir}/applications/%{desktop_vendor}-avifile.desktop}
%{?_without_freedesktop:%{_datadir}/gnome/apps/Multimedia/avifile.desktop}
%{_mandir}/man?/*

%files devel
%defattr(-, root, root, 0755)
%{_bindir}/avifile-config
#%{_bindir}/mmxnow-config
%{_includedir}/avifile*/
#%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/avifile*/*.a
%ifnarch x86_64
%{_libdir}/avifile*/vidix/*.a
%exclude %{_libdir}/avifile*/vidix/*.la
%endif
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*
#exclude %{_libdir}/*.la
%exclude %{_libdir}/avifile*/*.la

%changelog
* Tue Nov 24 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added xorg-x11-proto-devel and libXi build requirements
- fixed problems with const char * pointers and other small
  errors

* Tue Nov 25 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated for fc10 build
- ommit vidix shared libraries under x86_64

* Thu Jun 19 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated qt3-devel build req for fc9

* Wed Nov 14 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- updated desktop categories

* Tue Jun  5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.45-3
- fix Makefile.am and include/Makefile.am for fc7 (patch3)

* Tue Dec 26 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.45-2
- added template gcc41 patch from here (patch2):
  http://bugs.donarmstrong.com/cgi-bin/bugreport.cgi?bug=395386
- readded patch1 for extra qualification in mp3encode.cpp
- a sed expression in configure gets confused when trying to deal
  with /usr/lib64 (the build system runs in a 64 bit machine) and 
  as a result sdl does not get recognized, fix by replacing it by
  hand (see perl hack above)

* Tue Dec 12 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.45-2
- rebuild on fc6 (fails)

* Wed Apr  5 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.45-1
- updated to 0.7.45
- added patch for fc5/gcc4.1 (patch1)

* Wed Jul  5 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added fc4/gcc4 patch

* Thu Apr 14 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.43-1
- man pages are just man pages, not doc
- add obsoletes for old avifile-utils

* Sun Apr 10 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- add missing buildrequires, do not build a package with lame or xvid
- disable mmx to be able to build
- do a maintainer-clean to fix ffmpeg subdir makefile:
  http://prak.org/pipermail/avifile/2003-July/006991.html
- enable exclusion of .la files
- needs ffmpeg-devel package in buildrequires
- no .la files generated in /usr/lib/*.la

* Sat Dec 20 2003 Dag Wieers <dag@wieers.com> - 0.7.38-0
- Updated to release 0.7.38.

* Sat Aug 23 2003 Dag Wieers <dag@wieers.com> - 0.7.34-1
- Rebuild against xvidcore-0.9.2.

* Sat Apr 05 2003 Dag Wieers <dag@wieers.com> - 0.7.34-0
- Updated to release 0.7.34-20030319.

* Wed Feb 19 2003 Dag Wieers <dag@wieers.com> - 0.7.26-1
- Build against new lame-3.93.1-1 package.

* Sun Jan 19 2003 Dag Wieers <dag@wieers.com> - 0.7.26-0
- Initial package. (using DAR)
